#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n,k;
    cin>>n>>k;

    int niz[n];

    int pozicija;

    for (int i=0;i<n;i++)
    {
        cin>>niz[i];

        if (niz[i]==k)
        {
            pozicija=i;
        }
    }

    if (pozicija==n-1)
    {
        cout<<niz[0];
    }

    else
    {
        cout<<niz[pozicija+1];
    }
}